Package org.eclipse.emf.compare.merge

# Interface IMergeCriterionAware

All Known Implementing Classes:
  `AbstractMerger`, `AdditiveConflictMerger`, `AdditiveReferenceChangeMerger`, `AdditiveResourceAttachmentChangeMerger`, `AttributeChangeMerger`, `ConflictMerger`, `FeatureMapChangeMerger`, `PseudoConflictMerger`, `ReferenceChangeMerger`, `ResourceAttachmentChangeMerger`, `ResourceLocationChangeMerger`

public interface IMergeCriterionAware
This interface is used to select mergers according to some criterion.

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`boolean`
`apply(IMergeCriterion criterion)`
Indicate whether a merger supports a given criterion.

## Method Details

### apply

boolean apply(IMergeCriterion criterion)
Indicate whether a merger supports a given criterion.

Parameters:
  `criterion` - A criterion
Returns:
  `true` if the merger is able to handle the given criterion, `false` otherwise.